path: /build/build/rust-bin-dev-lang-stable-1.85.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-prefix" emerge dev-lang/rust-bin:stable -pv -t && \
    USE="-prefix" emerge -j ${JOBS} --nodeps dev-lang/rust-bin:stable
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rust-bin && luet-portage --dir /pkgdir/rust-bin
    dev-lang/rust-bin:stable && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:d3d4bf02367541e183f726d0149f975ccbfb5131149b4294e6a30b5a26630663
  package:
    name: rust-bin
    version: 1.85.0
    category: dev-lang-stable
    use_flags:
    - -prefix
    requires:
    - name: typing-extensions
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Systems programming language from Mozilla
    uri:
    - https://www.rust-lang.org/
    license: '|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA'
    buildtimestamp: 2025-03-13 13:35:37.987058568 +0000 UTC m=+379.466937503
    labels:
      BDEPEND: prefix? ( dev-util/patchelf )
      DEPEND: app-eselect/eselect-rust
      IUSE: clippy cpu_flags_x86_sse2 doc prefix rustfmt rust-src wasm wasm-wasi abi_x86_32
        abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32
        abi_s390_64
      RDEPEND: app-eselect/eselect-rust
      emerge.packages: dev-lang/rust-bin:stable
      kit: lang-kit
      original.package.name: dev-lang/rust-bin
      original.package.slot: stable
      original.package.version: 1.85.0
    treedir: /build/packages
  package_dir: /pkgdir/rust-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 8a588db251f86e4e132a5bd212432cb3a7e20c51b74b43254635afa67b4fa6da
compressiontype: zstd
files:
- etc/env.d/50rust-bin-1.85.0
- etc/env.d/rust/provider-rust-bin-1.85.0
- opt/rust-bin-1.85.0/bin/cargo
- opt/rust-bin-1.85.0/bin/cargo-bin-1.85.0
- opt/rust-bin-1.85.0/bin/rust-gdb
- opt/rust-bin-1.85.0/bin/rust-gdb-bin-1.85.0
- opt/rust-bin-1.85.0/bin/rust-gdbgui
- opt/rust-bin-1.85.0/bin/rust-gdbgui-bin-1.85.0
- opt/rust-bin-1.85.0/bin/rust-lldb
- opt/rust-bin-1.85.0/bin/rust-lldb-bin-1.85.0
- opt/rust-bin-1.85.0/bin/rustc
- opt/rust-bin-1.85.0/bin/rustc-bin-1.85.0
- opt/rust-bin-1.85.0/bin/rustdoc
- opt/rust-bin-1.85.0/bin/rustdoc-bin-1.85.0
- opt/rust-bin-1.85.0/etc/bash_completion.d/cargo
- opt/rust-bin-1.85.0/lib/libLLVM-19-rust-1.85.0-stable.so
- opt/rust-bin-1.85.0/lib/libLLVM.so.19.1-rust-1.85.0-stable
- opt/rust-bin-1.85.0/lib/librustc_driver-77ea5bfe5f9d9ec5.so
- opt/rust-bin-1.85.0/lib/rustlib/components
- opt/rust-bin-1.85.0/lib/rustlib/etc/gdb_load_rust_pretty_printers.py
- opt/rust-bin-1.85.0/lib/rustlib/etc/gdb_lookup.py
- opt/rust-bin-1.85.0/lib/rustlib/etc/gdb_providers.py
- opt/rust-bin-1.85.0/lib/rustlib/etc/lldb_commands
- opt/rust-bin-1.85.0/lib/rustlib/etc/lldb_lookup.py
- opt/rust-bin-1.85.0/lib/rustlib/etc/lldb_providers.py
- opt/rust-bin-1.85.0/lib/rustlib/etc/rust_types.py
- opt/rust-bin-1.85.0/lib/rustlib/install.log
- opt/rust-bin-1.85.0/lib/rustlib/manifest-cargo
- opt/rust-bin-1.85.0/lib/rustlib/manifest-rust-std-x86_64-unknown-linux-gnu
- opt/rust-bin-1.85.0/lib/rustlib/manifest-rustc
- opt/rust-bin-1.85.0/lib/rustlib/rust-installer-version
- opt/rust-bin-1.85.0/lib/rustlib/uninstall.sh
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/ld.lld
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/ld64.lld
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/lld-link
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/gcc-ld/wasm-ld
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/rust-lld
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/rust-objcopy
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/bin/wasm-component-ld
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libaddr2line-86d8d9428792e8ef.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libadler-fa99f5692b5dce85.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/liballoc-715bc629a88bca60.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcfg_if-f7ee3f1ea78d9dae.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcompiler_builtins-1af05515ab19524a.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libcore-406129d0e3fbc101.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libgetopts-d04d0c542852b7d7.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libgimli-10f06487503767c2.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libhashbrown-a7f5bb2f736d3c49.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/liblibc-d3a35665f881365a.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libmemchr-500edd5521c440d4.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libminiz_oxide-376454d49910c786.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libobject-ec6154ccae37a33e.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libpanic_abort-4dabff3cfff0af69.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libpanic_unwind-267e668abf74a283.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libproc_macro-57e423f2e16d22f0.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libprofiler_builtins-39641a735291dd5c.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.asan.a
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.dfsan.a
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.lsan.a
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.msan.a
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.safestack.a
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc-stable_rt.tsan.a
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_demangle-6a38424de1e5bca5.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_alloc-7e368919bdc4a44c.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_core-ae70165d1278cff7.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/librustc_std_workspace_std-6cf585dc4073d549.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd-6273572f18644c87.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd-6273572f18644c87.so
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libstd_detect-de9763ea1c19dca3.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libsysroot-e9aa32a273745138.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libtest-bb17ba1fa02ea08e.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libunicode_width-7748d1fe0f8acd00.rlib
- opt/rust-bin-1.85.0/lib/rustlib/x86_64-unknown-linux-gnu/lib/libunwind-91cafdaf16f7fe40.rlib
- opt/rust-bin-1.85.0/libexec/rust-analyzer-proc-macro-srv
- opt/rust-bin-1.85.0/man/man1/cargo-add.1
- opt/rust-bin-1.85.0/man/man1/cargo-bench.1
- opt/rust-bin-1.85.0/man/man1/cargo-build.1
- opt/rust-bin-1.85.0/man/man1/cargo-check.1
- opt/rust-bin-1.85.0/man/man1/cargo-clean.1
- opt/rust-bin-1.85.0/man/man1/cargo-doc.1
- opt/rust-bin-1.85.0/man/man1/cargo-fetch.1
- opt/rust-bin-1.85.0/man/man1/cargo-fix.1
- opt/rust-bin-1.85.0/man/man1/cargo-generate-lockfile.1
- opt/rust-bin-1.85.0/man/man1/cargo-help.1
- opt/rust-bin-1.85.0/man/man1/cargo-info.1
- opt/rust-bin-1.85.0/man/man1/cargo-init.1
- opt/rust-bin-1.85.0/man/man1/cargo-install.1
- opt/rust-bin-1.85.0/man/man1/cargo-locate-project.1
- opt/rust-bin-1.85.0/man/man1/cargo-login.1
- opt/rust-bin-1.85.0/man/man1/cargo-logout.1
- opt/rust-bin-1.85.0/man/man1/cargo-metadata.1
- opt/rust-bin-1.85.0/man/man1/cargo-new.1
- opt/rust-bin-1.85.0/man/man1/cargo-owner.1
- opt/rust-bin-1.85.0/man/man1/cargo-package.1
- opt/rust-bin-1.85.0/man/man1/cargo-pkgid.1
- opt/rust-bin-1.85.0/man/man1/cargo-publish.1
- opt/rust-bin-1.85.0/man/man1/cargo-remove.1
- opt/rust-bin-1.85.0/man/man1/cargo-report.1
- opt/rust-bin-1.85.0/man/man1/cargo-run.1
- opt/rust-bin-1.85.0/man/man1/cargo-rustc.1
- opt/rust-bin-1.85.0/man/man1/cargo-rustdoc.1
- opt/rust-bin-1.85.0/man/man1/cargo-search.1
- opt/rust-bin-1.85.0/man/man1/cargo-test.1
- opt/rust-bin-1.85.0/man/man1/cargo-tree.1
- opt/rust-bin-1.85.0/man/man1/cargo-uninstall.1
- opt/rust-bin-1.85.0/man/man1/cargo-update.1
- opt/rust-bin-1.85.0/man/man1/cargo-vendor.1
- opt/rust-bin-1.85.0/man/man1/cargo-version.1
- opt/rust-bin-1.85.0/man/man1/cargo-yank.1
- opt/rust-bin-1.85.0/man/man1/cargo.1
- opt/rust-bin-1.85.0/man/man1/rustc.1
- opt/rust-bin-1.85.0/man/man1/rustdoc.1
- opt/rust-bin-1.85.0/share/doc/cargo/LICENSE-APACHE
- opt/rust-bin-1.85.0/share/doc/cargo/LICENSE-MIT
- opt/rust-bin-1.85.0/share/doc/cargo/LICENSE-THIRD-PARTY
- opt/rust-bin-1.85.0/share/doc/cargo/README.md
- opt/rust-bin-1.85.0/share/doc/rust/COPYRIGHT
- opt/rust-bin-1.85.0/share/doc/rust/LICENSE-APACHE
- opt/rust-bin-1.85.0/share/doc/rust/LICENSE-MIT
- opt/rust-bin-1.85.0/share/doc/rust/README.md
- opt/rust-bin-1.85.0/share/zsh/site-functions/_cargo
- usr/bin/cargo-bin-1.85.0
- usr/bin/rust-gdb-bin-1.85.0
- usr/bin/rust-gdbgui-bin-1.85.0
- usr/bin/rust-lldb-bin-1.85.0
- usr/bin/rustc-bin-1.85.0
- usr/bin/rustdoc-bin-1.85.0
- usr/lib/rust/lib-bin-1.85.0
- usr/lib/rust/man-bin-1.85.0
- usr/lib/rustlib-bin-1.85.0
- usr/share/doc/rust-bin-1.85.0
- var/db/pkg/dev-lang/rust-bin-1.85.0/BUILD_TIME
- var/db/pkg/dev-lang/rust-bin-1.85.0/CATEGORY
- var/db/pkg/dev-lang/rust-bin-1.85.0/CBUILD
- var/db/pkg/dev-lang/rust-bin-1.85.0/CFLAGS
- var/db/pkg/dev-lang/rust-bin-1.85.0/CHOST
- var/db/pkg/dev-lang/rust-bin-1.85.0/CONTENTS
- var/db/pkg/dev-lang/rust-bin-1.85.0/COUNTER
- var/db/pkg/dev-lang/rust-bin-1.85.0/CTARGET
- var/db/pkg/dev-lang/rust-bin-1.85.0/CXX
- var/db/pkg/dev-lang/rust-bin-1.85.0/CXXFLAGS
- var/db/pkg/dev-lang/rust-bin-1.85.0/DEFINED_PHASES
- var/db/pkg/dev-lang/rust-bin-1.85.0/DEPEND
- var/db/pkg/dev-lang/rust-bin-1.85.0/DESCRIPTION
- var/db/pkg/dev-lang/rust-bin-1.85.0/EAPI
- var/db/pkg/dev-lang/rust-bin-1.85.0/FEATURES
- var/db/pkg/dev-lang/rust-bin-1.85.0/HOMEPAGE
- var/db/pkg/dev-lang/rust-bin-1.85.0/INHERITED
- var/db/pkg/dev-lang/rust-bin-1.85.0/IUSE
- var/db/pkg/dev-lang/rust-bin-1.85.0/IUSE_EFFECTIVE
- var/db/pkg/dev-lang/rust-bin-1.85.0/KEYWORDS
- var/db/pkg/dev-lang/rust-bin-1.85.0/LDFLAGS
- var/db/pkg/dev-lang/rust-bin-1.85.0/LICENSE
- var/db/pkg/dev-lang/rust-bin-1.85.0/NEEDED
- var/db/pkg/dev-lang/rust-bin-1.85.0/NEEDED.ELF.2
- var/db/pkg/dev-lang/rust-bin-1.85.0/PF
- var/db/pkg/dev-lang/rust-bin-1.85.0/PROVIDES
- var/db/pkg/dev-lang/rust-bin-1.85.0/QA_PREBUILT
- var/db/pkg/dev-lang/rust-bin-1.85.0/RDEPEND
- var/db/pkg/dev-lang/rust-bin-1.85.0/REQUIRES
- var/db/pkg/dev-lang/rust-bin-1.85.0/RESTRICT
- var/db/pkg/dev-lang/rust-bin-1.85.0/SIZE
- var/db/pkg/dev-lang/rust-bin-1.85.0/SLOT
- var/db/pkg/dev-lang/rust-bin-1.85.0/USE
- var/db/pkg/dev-lang/rust-bin-1.85.0/environment.bz2
- var/db/pkg/dev-lang/rust-bin-1.85.0/repository
- var/db/pkg/dev-lang/rust-bin-1.85.0/rust-bin-1.85.0.ebuild
package_cacheimage: ""
runtime:
  name: rust-bin
  version: 1.85.0
  category: dev-lang-stable
  use_flags:
  - -prefix
  requires:
  - name: eselect-rust
    version: '>=0'
    category: app-eselect
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Systems programming language from Mozilla
  uri:
  - https://www.rust-lang.org/
  license: '|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA'
  labels:
    BDEPEND: prefix? ( dev-util/patchelf )
    DEPEND: app-eselect/eselect-rust
    IUSE: clippy cpu_flags_x86_sse2 doc prefix rustfmt rust-src wasm wasm-wasi abi_x86_32
      abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_s390_32 abi_s390_64
    RDEPEND: app-eselect/eselect-rust
    emerge.packages: dev-lang/rust-bin:stable
    kit: lang-kit
    original.package.name: dev-lang/rust-bin
    original.package.slot: stable
    original.package.version: 1.85.0
